Name:           python-pythainlp
Version:        5.1.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Thai Natural Language Processing library

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        Apache-2.0
URL:            https://github.com/PyThaiNLP/pythainlp
Source:         %{pypi_source pythainlp}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'pythainlp' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-pythainlp
Summary:        %{summary}

%description -n python3-pythainlp %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-pythainlp abbreviation,attacut,benchmarks,compact,coreference-resolution,dependency-parsing,el,esupar,full,generate,icu,ipa,ml,mt5,nlpo3,onnx,oskut,sefr-cut,spacy-thai,spell,ssg,textaugment,thai-nner,thai2fit,thai2rom,transformers-ud,translate,wangchanberta,wangchanglm,word-approximation,wordnet,wsd,wtp,wunsen


%prep
%autosetup -p1 -n pythainlp-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x abbreviation,attacut,benchmarks,compact,coreference-resolution,dependency-parsing,el,esupar,full,generate,icu,ipa,ml,mt5,nlpo3,onnx,oskut,sefr-cut,spacy-thai,spell,ssg,textaugment,thai-nner,thai2fit,thai2rom,transformers-ud,translate,wangchanberta,wangchanglm,word-approximation,wordnet,wsd,wtp,wunsen


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-pythainlp -f %{pyproject_files}


%changelog
%autochangelog